local playerClass = select(2,UnitClass("player"))
local playerHealer, playerCaster, playerMelee, playerHybrid
if playerClass == "PRIEST" or playerClass == "SHAMAN" or playerClass == "PALADIN" or playerClass == "DRUID" then playerHealer = true end
if playerClass == "MAGE" or playerClass == "PRIEST" or playerClass == "WARLOCK" then playerCaster = true end
if playerClass == "ROGUE" or playerClass == "WARRIOR" or playerClass == "HUNTER" then playerMelee = true end
if playerClass == "DRUID" or playerClass == "PALADIN" or playerClass == "SHAMAN" then playerHybrid = true end

DrDamage.PlayerAura = {}
DrDamage.TargetAura = {}

local function DrD_LoadAuras()
	local Aura = DrDamage.PlayerAura
	local GetSpellInfo = GetSpellInfo
	
	--Bloodlust
	--Heroism
	--Inspiring Presence
	Aura[GetSpellInfo(2825)] = { ModType = "Update" }
	Aura[GetSpellInfo(32182)] = { ModType = "Update" }
	Aura[GetSpellInfo(28878)] = { Value = 1, ModType = "hitPerc", }
	
	--Totem of Wrath
	--Vibrant Blood
	--Power Infusion
	--Bloodgem Infusion
	--Icy Veins
	if playerCaster or playerHybrid then
		Aura[GetSpellInfo(30706)] = { Value = 3, ModType = "hitPerc", Caster = true }
		Aura[GetSpellInfo(35329)] = { Value = 0.1, Caster = true }
		Aura[GetSpellInfo(10060)] = { ModType = "Update" }
		Aura[GetSpellInfo(34379)] = { School = "All", Value = 0.05, Caster = true }
		if playerClass == "MAGE" then
			Aura[GetSpellInfo(12472)] = { ModType = "Update" }
		end
	end
	
	--A'dal's Song of Battle	
	--Vile Slime
	--Debilitating Spray
	--Vile Sludge
	--Nether Portal - Serenity
	if playerHealer then
		Aura[GetSpellInfo(39953)] = { School = "Healing", Value = 0.05, }
		Aura[GetSpellInfo(40099)] = { School = "Healing", Value = -0.5 }
		Aura[GetSpellInfo(40079)] = { School = "Healing", Value = -0.5 }
		Aura[GetSpellInfo(38246)] = { School = "Healing", Value = -0.5 }	
		Aura[GetSpellInfo(30422)] = { School = "Healing", Value = 0.05, Apps = true }
	end
	
	--Target debuffs
	Aura = DrDamage.TargetAura
	
	if playerCaster or playerHybrid then
		--School
		--Curse of Shadow
		--Shadow Vulnerability
		--Fire Vulnerability
		--Curse of the Elements
		--Winter's Chill
		if playerClass == "WARLOCK" or playerClass == "PRIEST" or playerClass == "DRUID" or playerClass == "MAGE" then
			Aura[GetSpellInfo(17862)] = { School = { "Shadow", "Arcane" }, Value = 0.1, ActiveAura = "Soul Siphon", }
		end
		if playerClass == "WARLOCK" or playerClass == "PRIEST" then
			Aura[GetSpellInfo(15258)] = { School = "Shadow", Texture = "Spell_Shadow_ShadowBolt", Value = 0.2, Apps2 = true, Value2 = 0.02, ModType = "Texture", }
		end
		if playerClass == "WARLOCK" or playerClass == "SHAMAN" or playerClass == "MAGE" then
			Aura[GetSpellInfo(22959)] = { School = "Fire", Apps = true, Value = 0.03, }
			Aura[GetSpellInfo(1490)] = { School = { "Fire", "Frost" }, Value = 0.1, ActiveAura = "Soul Siphon", }
		end
		if playerClass == "SHAMAN" or playerClass == "MAGE" then
			Aura[GetSpellInfo(28595)] = { School = "Frost", Apps = true, Value = 2, ModType = "critPerc", }
		end
		--General
		--Spell Vulnerability
		--Mistery
		--Magic Disruption
		Aura[GetSpellInfo(23605)] = { Value = 0.15, Caster = true }
		Aura[GetSpellInfo(33195)] = { Value = 0.01, Ranks = 5, Caster = true }
		Aura[GetSpellInfo(36478)] = { Value = 0.05, Apps = true, Caster = true }
	end
	if playerHealer then
		--Amplify Magic
		--Quick Recovery
		--Fel Armor
		--Curse of the Bleeding Hollow
		--Wound Poison
		--Blood Fury
		--Mortal Strike
		--Hex of Weakness
		--Veil of Shadow
		--Nether Portal - Dominance
		Aura[GetSpellInfo(1008)] = { ModType = "spellDmg", Ranks = 6, Value = { 30, 60, 100, 150, 180, 240 }, }
		Aura[GetSpellInfo(31245)] = { Ranks = 2, Value = 0.1 }
		Aura[GetSpellInfo(28176)] = { Value = 0.2, }
		Aura[GetSpellInfo(34073)] = { School = "Healing", Value = -0.15 }
		Aura[GetSpellInfo(43461)] = { School = "Healing", Apps = 5, Value = -0.1, }
		Aura[GetSpellInfo(33697)] = { School = "Healing", Value = -0.5, }
		Aura[GetSpellInfo(12294)] = { School = "Healing", Value = -0.5, }
		Aura[GetSpellInfo(9035)] = { School = "Healing", Value = -0.2, }
		Aura[GetSpellInfo(17820)] = { School = "Healing", Value = -0.75, }
		Aura[GetSpellInfo(30423)] = { School = "Healing", Value = -0.01, Apps = true }
	end
	if playerMelee or playerHybrid then
		--Shadowform
		--Holyform
		--Armor Disruption
		--Hemorrhage
		--Stormstrike
		Aura[GetSpellInfo(15473)] = { School = { "Ranged", "Physical" }, Value = -0.1 }
		Aura[GetSpellInfo(46565)] = { School = { "Ranged", "Physical" }, Value = -0.2 }
		Aura[GetSpellInfo(36482)] = { School = {"Ranged", "Physical" }, Value = 0.05, Apps = true }
		Aura[GetSpellInfo(16511)] = { School = { "Ranged", "Physical" }, Value = { 13, 21, 29, 42 }, Ranks = 4, ModType = "dmgBonus" }
		if playerClass == "DRUID" or playerClass == "SHAMAN" or playerClass == "ROGUE" or playerClass == "HUNTER" then
			Aura[GetSpellInfo(17364)] = { School = "Nature", Value = 0.2, }
		end
	end
end

DrD_LoadAuras()
DrD_LoadAuras = nil